package com.engine.organization.service;

import com.engine.organization.entity.department.param.DeptSearchParam;
import com.engine.organization.entity.department.param.QuerySingleDeptListParam;
import com.engine.organization.entity.department.vo.SingleDeptTreeVO;
import com.engine.organization.util.page.PageInfo;

import java.util.Map;

/**
 * @Author weaver_cl
 * @Description: TODO
 * @Date 2022/5/20
 * @Version V1.0
 **/
public interface DepartmentService {

    /**
     * 根据分部id获取部门tree
     * 联查部门
     *
     * @param param
     * @return
     */
    PageInfo<SingleDeptTreeVO> getDeptListByPid(QuerySingleDeptListParam param);

    /**
     * 列表数据展示
     *
     * @param param
     * @return
     */
    public Map<String, Object> listPage(DeptSearchParam param);


}
